<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { storeToRefs } from 'pinia';
import { inject } from 'vue';
import { useRoute } from 'vue-router';
import Chat from '@/components/chat/Chat.vue';
import { useChatStore } from '@/stores/chat';

const configuration = inject<any>('configuration');
const route = useRoute();

const chatStore  = useChatStore()
const { userType, username } = storeToRefs(chatStore);
userType.value = 'user';
username.value = route.params.user_uuid as string;

</script>
<template>
<div class="bg-gray-100 h-screen max-h-screen">
    <nav class="flex flex-row bg-accent1-default h-10 max-h-10"></nav>
    <div class="min-h-[calc(100dvh-80px)] max-h-[calc(100dvh-80px)] flex flex-col">
        <div class="grow p-4 w-screen">
            <Chat />
        </div>
    </div>
    <div class="h-10 max-h-10 w-full text-center bg-accent1-default p-3 text-accent1-text select-none">
        <span class="mx-auto">
            <a class="hover:text-gray-300 hover:no-underline" :href="configuration.basePath + 'impress'" target="_self"
                rel="noopener"> {{
                $t("indexPage.impress") }}</a>
            <span class="mx-4">|</span>
            <a class="hover:text-gray-300 hover:no-underline" :href="configuration.basePath + 'privacy'" target="_self"
                rel="noopener"> {{
                $t("indexPage.privacy") }} </a>
        </span>
    </div>
</div>
</template>